Description

When katello_devel attempts to register a smartproxy, it fails with a 401 error. This appears to be related to headers not being

passed through correctly with rest_v3.rb. For example:

    BAD (will 401)

    +19868:5720c0b3:0

    GET /api/v2/smart_proxies?search=name=%2522centos7-devel.example.com%2522 HTTP/1.1

    Accept:*/*

    Accept-Encoding:gzip;q=1.0,deflate;q=0.6,identity;q=0.3

    Authorization:OAuth oauth_consumer_key="4GmWaooj3SYjgkmNirYHXGoCJZg29NTp", oauth_nonce="qT59KR

HXhnmgmg6I12komyYRLoc7Eg1zLfrCCB91Iw", oauth_signature="x98qYZAey5XKX1u2L%252F3n2ax8Gzw%253D", oau

th_signature_method="HMAC-SHA1", oauth_timestamp="1461764275", oauth_version="1.0" 

    Connection:close

    Host:centos7-devel.example.com

    User-Agent:OAuth gem v0.4.7

    GOOD (will 200)

    +19866:5720c25f:0

    GET /api/smart_proxies?search=name%253D%2522centos7-devel.example.com%2522 HTTP/1.1

    Accept:application/json;version=2

    Accept-Encoding:gzip, deflate

    Authorization:OAuth oauth_consumer_key="4GmWaooj3SYjgkmNirYHXGoCJZg29NTp", oauth_nonce="xqaFrM

xiKulruEeZ8z3IwoS9GQL5bEHEZ3tEsvXJk", oauth_signature="IL%252BrARQbnqe%252BGgMWSnK2vwpLBFg%253D", 

oauth_signature_method="HMAC-SHA1", oauth_timestamp="1461764703", oauth_version="1.0" 

    Content-Type:application/json

    Foreman-User:admin

    Host:centos7-devel.example.com

    User-Agent:OAuth gem v0.4.7

Associated revisions

Revision 02f4ae07 - 04/28/2016 01:19 PM - Chris Duryee

Fixes #14852 - do not pass in "data" param unless needed (#436)

Previously, the "data" param was passed to all oauth requests. This caused

issues with `GET` requests, since `data` and `headers` gets mashed into

`*arguments`, and then the oauth gem will `shift` off the first argument if

there's a `POST` or `PUT` method. The end result was that headers weren't being

sent on `GET` requests.

Instead, only supply the "data" param if we are doing a `POST` or `PUT`.

History

#1 - 04/28/2016 02:01 PM - Chris Duryee

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|02f4ae071bf2b5966d218be3036e868033f72a31.

#2 - 05/03/2016 03:26 AM - Dominic Cleal

- translation missing: en.field_release set to 136
